import { EdgeModel, Graph, NodeModel, TreeGraph } from '../../../common/interface';
import { BaseCommand } from './base';
export interface UpdateCommandParams {
    id: string;
    originModel: Partial<NodeModel> | EdgeModel;
    updateModel: Partial<NodeModel> | EdgeModel;
    forceRefreshLayout: boolean;
}
declare const updateCommand: BaseCommand<UpdateCommandParams, Graph & TreeGraph>;
export default updateCommand;
