import { NodeModel } from "../interface";
declare class Global {
    clipboard: {
        point: {
            x: number;
            y: number;
        };
        models: NodeModel[];
    };
    component: {
        itemPanel: {
            model: Partial<NodeModel>;
            delegateShapeClassName: string;
        };
    };
    plugin: {
        itemPopover: {
            state: 'show' | 'hide';
        };
        contextMenu: {
            state: 'show' | 'hide';
        };
        editableLabel: {
            state: 'show' | 'hide';
        };
    };
}
declare const _default: Global;
export default _default;
