import { NodeModel, EdgeModel } from '../../../common/interface';
import { BaseCommand } from './base';
export interface RemoveCommandParams {
    flow: {
        nodes: {
            [id: string]: NodeModel;
        };
        edges: {
            [id: string]: EdgeModel;
        };
    };
    mind: {
        model: NodeModel | null;
        parent: string;
    };
}
declare const removeCommand: BaseCommand<RemoveCommandParams>;
export default removeCommand;
