import React, { FunctionComponent } from 'react';
import { Item } from "../../common/interface";
import { TooltipPlacement } from "antd/lib/tooltip";
import 'antd/lib/popover/style';
export declare enum ItemPopoverType {
    Node = "node",
    Edge = "edge"
}
export declare type Placement = TooltipPlacement;
export declare type RenderFunction = (item: Item) => React.ReactNode;
interface ItemPopoverProps {
    type?: ItemPopoverType;
    title?: RenderFunction;
    content?: RenderFunction;
    mouseEnterDelay?: number;
    mouseLeaveDelay?: number;
    placement?: Placement;
}
declare const ItemPopover: FunctionComponent<ItemPopoverProps>;
export default ItemPopover;
